Data Hub
Files

Reprocess a file

Requires scope `files:reprocess`.

POST
/files/{fileId}/reprocess

Requires scope files:reprocess.

Authorization

bearerAuth
AuthorizationBearer <token>

Personal access tokens begin with dhub_… and are restricted by their assigned scopes.

In: header

Path Parameters

fileId*integer

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/files/1/reprocess"
{  "status": "processing",  "file_id": 0}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}